QScintilla: QsciLexerD Class Reference

QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions | Protected Member Functions
QsciLexerD Class Reference

`#include <qscilexerd.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  CommentDoc = 3, CommentNested = 4, Number = 5,
  Keyword = 6, KeywordSecondary = 7, KeywordDoc = 8,
  Typedefs = 9, String = 10, UnclosedString = 11,
  Character = 12, Operator = 13, Identifier = 14,
  CommentLineDoc = 15, CommentDocKeyword = 16, CommentDocKeywordError = 17,
  BackquoteString = 18, RawString = 19, KeywordSet5 = 20,
  KeywordSet6 = 21, KeywordSet7 = 22
  }

## Public Slots

- virtual void setFoldAtElse (bool fold)
- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerD (QObject *parent=0)
- virtual ~QsciLexerD ()
- const char * language () const
- const char * lexer () const
- QStringList autoCompletionWordSeparators () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * blockStartKeyword (int *style=0) const
- int braceStyle () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldAtElse () const
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerD class encapsulates the Scintilla D lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the D lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  CommentLine | A comment line.
  CommentDoc | A JavaDoc and Doxygen comment.
  CommentNested | A nested comment.
  Number | A number.
  Keyword | A keyword.
  KeywordSecondary | A secondary keyword.
  KeywordDoc | A doc keyword.
  Typedefs | Typedefs and aliases.
  String | A string.
  UnclosedString | The end of a line where a string is not closed.
  Character | A character.
  Operator | An operator.
  Identifier | An identifier.
  CommentLineDoc | A JavaDoc and Doxygen line.
  CommentDocKeyword | A JavaDoc and Doxygen keyword.
  CommentDocKeywordError | A JavaDoc and Doxygen keyword error.
  BackquoteString | A backquoted string.
  RawString | A raw, hexadecimal or delimited string.
  KeywordSet5 | A keyword defined in keyword set number 5. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.

## Constructor & Destructor Documentation

QsciLexerD::QsciLexerD | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerD with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerD::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerD::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerD::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerD::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerD::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerD::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerD::foldAtElse | ( |  | ) | const

Returns true if "} else {" lines can be folded.

See also:
  setFoldAtElse()

bool QsciLexerD::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QsciLexerD::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerD::setFoldAtElse | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then "} else {" lines can be folded. The default is false.

See also:
  foldAtElse()

virtual void QsciLexerD::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void QsciLexerD::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerD::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QsciLexer.

bool QsciLexerD::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from QsciLexer.